Subject: Re: [rfc] flip rerere.enabled default to be "on" at Git 3.0 boundary?

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Oct 2025 12:44:07 -0700

"D. Ben Knoble" <[email-masked]> writes:

> Was this intended as "another todo list item to work on"? If so, I'm
> afraid I'm having trouble decoding what the issue that needs fixed is.
> My nth re-read suggests that the sharp edge here is "delete/modify
> conflicts often need re-resolution favoring delete" and that doing so
> is not easy today?

It meant to add to the list another sharp-edge, which is that
'rerere' does not even attempt to help you deal with delete-modify
conflicts at all.  Either it needs to be communicated better that
the users are on their own with delete-modify conflicts, or a good
support needs to be designed and documented.